fastboot %* getvar product 2>&1 | findstr /r /c:"^product: *gauguin*" || echo Missmatching image and device
fastboot %* getvar product 2>&1 | findstr /r /c:"^product: *gauguin*" || exit /B 1

::check anti_version
if exist %~dp0images\anti_version.txt (for /f "delims==" %%a in (%~dp0images\anti_version.txt) do (set CURRENT_ANTI_VER=%%a))
if [%CURRENT_ANTI_VER%] EQU [] set CURRENT_ANTI_VER=0
for /f "tokens=2 delims=: " %%i in ('fastboot %* getvar anti 2^>^&1 ^| findstr /r /c:"anti:"') do (set version=%%i)
if [%version%] EQU [] set version=0
set anticheck="antirollback check pass"
if %version% GTR %CURRENT_ANTI_VER% set anticheck="Current device antirollback version is greater than this pakcage"
echo %anticheck% | findstr /r /c:"pass" || @echo "Antirollback check error" && exit /B 1

::fastboot %* flash crclist %~dp0images\crclist.txt || @echo "Flash crclist error" && exit /B 1
::fastboot %* flash sparsecrclist %~dp0images\sparsecrclist.txt || @echo "Flash sparsecrclist error" && exit /B 1
fastboot %* flash xbl %~dp0images\xbl_debug.elf || @echo "Flash xbl error" && exit /B 1
fastboot %* flash xblbak %~dp0images\xbl_debug.elf || @echo "Flash xblbak error" && exit /B 1
fastboot %* flash xbl_config %~dp0images\xbl_config_debug.elf || @echo "Flash xbl_config error" && exit /B 1
fastboot %* flash xbl_configbak %~dp0images\xbl_config_debug.elf || @echo "Flash xbl_configbak error" && exit /B 1
fastboot %* flash tz %~dp0images\tz_debug.mbn || @echo "Flash tz error" && exit /B 1
fastboot %* flash tzbak %~dp0images\tz_debug.mbn || @echo "Flash tzbak error" && exit /B 1
fastboot %* flash hyp %~dp0images\hyp_debug.mbn || @echo "Flash hyp error" && exit /B 1
fastboot %* flash hypbak %~dp0images\hyp_debug.mbn || @echo "Flash hypbak error" && exit /B 1
fastboot %* flash devcfg %~dp0images\devcfg_debug.mbn || @echo "Flash devcfg error" && exit /B 1
fastboot %* flash devcfgbak %~dp0images\devcfg_debug.mbn || @echo "Flash devcfgbak error" && exit /B 1
fastboot %* flash storsec %~dp0images\storsec_debug.mbn || @echo "Flash storsec error" && exit /B 1
::fastboot %* flash storsecbak %~dp0images\storsec.mbn || @echo "Flash storsecbak error" && exit /B 1
fastboot %* flash cmnlib %~dp0images\cmnlib_debug.mbn || @echo "Flash cmnlib error" && exit /B 1
fastboot %* flash cmnlibbak %~dp0images\cmnlib_debug.mbn || @echo "Flash cmnlibbak error" && exit /B 1
fastboot %* flash cmnlib64 %~dp0images\cmnlib64_debug.mbn || @echo "Flash cmnlib64 error" && exit /B 1
fastboot %* flash cmnlib64bak %~dp0images\cmnlib64_debug.mbn || @echo "Flash cmnlib64bak error" && exit /B 1
fastboot %* flash keymaster %~dp0images\km4_debug.mbn || @echo "Flash keymaster error" && exit /B 1
fastboot %* flash keymasterbak %~dp0images\km4_debug.mbn || @echo "Flash keymasterbak error" && exit /B 1
::fastboot %* flash splash %~dp0images\splash.img || @echo "Flash splash error" && exit /B 1
fastboot %* flash featenabler %~dp0images\featenabler_debug.mbn || @echo "Flash featenabler error" && exit /B 1
fastboot %* flash uefisecapp %~dp0images\uefi_sec_debug.mbn || @echo "Flash uefisecapp error" && exit /B 1
fastboot %* flash uefisecappbak %~dp0images\uefi_sec_debug.mbn || @echo "Flash uefisecappbak error" && exit /B 1
fastboot %* reboot || @echo "Reboot error" && exit /B 1
